libpst.so.4: pst_item_attach Struct Reference

libpst.so.4

Data Fields
pst_item_attach Struct Reference

This contains the attachment related mapi elements. More...

`#include <libpst/libpst.h>`

Collaboration diagram for pst_item_attach:
[legend]

## Data Fields
pst_string | filename1
| mapi element 0x3704 PR_ATTACH_FILENAME More...
pst_string | filename2
| mapi element 0x3707 PR_ATTACH_LONG_FILENAME More...
pst_string | mimetype
| mapi element 0x370e PR_ATTACH_MIME_TAG More...
pst_string | content_id
| mapi element 0x3712 PR_ATTACH_CONTENT_ID More...
pst_binary | data
| mapi element 0x3701 PR_ATTACH_DATA_OBJ More...
uint64_t | id2_val
| only used if the attachment is by reference, in which case this is the id2 reference More...
uint64_t | i_id
| calculated from id2_val during creation of record More...
pst_id2_tree * | id2_head
| id2 tree needed to resolve attachments by reference More...
int32_t | method
| mapi element 0x3705 PR_ATTACH_METHOD More...
int32_t | position
| mapi element 0x370b PR_RENDERING_POSITION More...
int32_t | sequence
| mapi element 0x3710 PR_ATTACH_MIME_SEQUENCE More...
struct pst_item_attach * | next

## Detailed Description

This contains the attachment related mapi elements.

Definition at line 608 of file libpst.h.

## Field Documentation

## ◆ content_id

pst_string pst_item_attach::content_id

mapi element 0x3712 PR_ATTACH_CONTENT_ID

Definition at line 616 of file libpst.h.

## ◆ data

pst_binary pst_item_attach::data

mapi element 0x3701 PR_ATTACH_DATA_OBJ

Definition at line 618 of file libpst.h.

## ◆ filename1

pst_string pst_item_attach::filename1

mapi element 0x3704 PR_ATTACH_FILENAME

Definition at line 610 of file libpst.h.

## ◆ filename2

pst_string pst_item_attach::filename2

mapi element 0x3707 PR_ATTACH_LONG_FILENAME

Definition at line 612 of file libpst.h.

## ◆ i_id

uint64_t pst_item_attach::i_id

calculated from id2_val during creation of record

Definition at line 622 of file libpst.h.

## ◆ id2_head

pst_id2_tree* pst_item_attach::id2_head

id2 tree needed to resolve attachments by reference

Definition at line 624 of file libpst.h.

## ◆ id2_val

uint64_t pst_item_attach::id2_val

only used if the attachment is by reference, in which case this is the id2 reference

Definition at line 620 of file libpst.h.

## ◆ method

int32_t pst_item_attach::method

mapi element 0x3705 PR_ATTACH_METHOD

- 0 no attachment
- 1 attach by value
- 2 attach by reference
- 3 attach by reference resolve
- 4 attach by reference only
- 5 embedded message
- 6 OLE

Definition at line 633 of file libpst.h.

## ◆ mimetype

pst_string pst_item_attach::mimetype

mapi element 0x370e PR_ATTACH_MIME_TAG

Definition at line 614 of file libpst.h.

## ◆ next

struct pst_item_attach* pst_item_attach::next

Definition at line 638 of file libpst.h.

## ◆ position

int32_t pst_item_attach::position

mapi element 0x370b PR_RENDERING_POSITION

Definition at line 635 of file libpst.h.

## ◆ sequence

int32_t pst_item_attach::sequence

mapi element 0x3710 PR_ATTACH_MIME_SEQUENCE

Definition at line 637 of file libpst.h.

The documentation for this struct was generated from the following file:

- libpst/libpst.h